Xorg 6.8.2 to Xorg 7?

Luca Dionisi luca.dionisi at gmail.com
Fri Mar 24 04:01:24 PST 2006


On 3/24/06, Leonardo Lazzaro <lazzaroleonardo at gmail.com> wrote:
> Hi,
>
>  first is that i want to upgrade my Xorg 6.8.9 to Xorg 7 but i have many
> questions
>  (I have a LFS 6.1.1 and some packages from BLFS 6.1 )
>  1)If I install Xorg 7 like the instructions in BLFS SVN but with my Xorg
> 6.8.9 already installed could it cause some problems?
>  2)IF I instal Xorg 7 I have to rebuild some other packages like KDE,QT,etc?
>  3)Could i uninstall Xorg 6.8.9 in case i have to do it to install Xorg 7?
>
>  Ah! I want to install Xorg 7 to try the Xgl from novell.( or at least try
> it).
>  I have an Ati card with the fgrlx drivers (8.20.8 are the best) so meabe
> someone have already done it. If yes please reply me with the experience.
>

Hi Leonardo
I'm trying to do the same thing more or less, _and_ I've got an ATI
(radeon) card.
I'm looking at this list for a quite big time now, but I saw very few
mails on this topic.

The work done by the BLFS guys in the SVN version for Xorg 7 is great. But I
am at the moment trying to use CVS version for Xorg and the many other
components needed to make XGL work.

I'm not sure, but I feel that Xgl will work more easily with Xorg 7
than with 6.9.

I'm using the "more controls with package user" package management system. For
XGL I'm using one specific user and I'm trying to install all the new
stuff apart from
the old things. I'm installing it in /opt/xorg-develop.

At the very moment it is not working, but I think I'm getting always closer.
And I'm not disturbing the other stuff. I mean, Xgl on Xorg CVS is not working,
but I'm still able to launch Xorg 7.0 (that I installed previously in /usr) and
Gnome on it.

So, just to know:
 - are you using "package user" system?
 - are you planning to script all the things you do to compile and configure
    xgl on your system?
 - are you interested in ginving a look at the scripts I've done in my system?

I'm using the "ati" open source drivers. You said that fgrlx 8.20.8 are better
than this? What card have you got?

See ya
--Luca



More information about the blfs-support mailing list